Subject: Re: [bitcoin-dev] Taproot NACK

From: Eric Voskuil <[email-masked]>
Date: Wed, 3 Mar 2021 23:46:30 -0800

Your Excellency,

You don’t seem to understand how Bitcoin currently works. A signature is a mathematical /probabilistical proof that the person who signed (the output) is the same person who created the script (the input) that was paid to (i.e. not fraud). You cannot see that he is that person, you can only do the math - giving yourself a reasonable assurance that it is not a fraud.

Taproot is not a proposed change to this design, so I’m not sure to what exactly you are objecting. The math continues to be the sole assurance and visibility that the money was created and transferred in accordance with the agreed rules (consensus). There is no other way for anyone to “look at” potential fraud on the chain.

If you are aware of any flaw in the existing or proposed mathematics that would enable fraudulent creation or transfer of bitcoin, please spell it out for us.

e

> On Mar 3, 2021, at 21:10, LORD HIS EXCELLENCY JAMES HRMH <[email-masked]> wrote:
> 
> Good Afternoon,
> 
> I will reply privately here, what do you say I am not in support of fungibility? This fungibility is because of consensus including transparency. Otherwise, if it is just a fraud no-one can look at it.
> 
> KING JAMES HRMH
> 
> Regards,
> The Australian
> LORD HIS EXCELLENCY JAMES HRMH (& HMRH)
> of Hougun Manor & Glencoe & British Empire
> MR. Damian A. James Williamson
> Wills
> 
> et al.
> 
>  
> Willtech
> www.willtech.com.au
> www.go-overt.com
> and other projects
>  
> earn.com/willtech
> linkedin.com/in/damianwilliamson
> 
> 
> m. 0487135719
> f. +61261470192
> 
> 
> This email does not constitute a general advice. Please disregard this email if misdelivered.
> From: bitcoin-dev <[email-masked]> on behalf of Felipe Micaroni Lalli via bitcoin-dev <[email-masked]>
> Sent: Thursday, 4 March 2021 3:30 AM
> To: [email-masked] <[email-masked]>; Bitcoin Protocol Discussion <[email-masked]>
> Subject: Re: [bitcoin-dev] Taproot NACK
>  
> Dear LORD HIS EXCELLENCY JAMES HRMH (& HMRH), a.k.a. "The Australian",
> 
> This discussion list is serious stuff, please stop making noise. Fungibility is a desirable property, anyway.
> 
> Thank you!
> 
>> On Wed, Mar 3, 2021 at 12:04 PM Eric Voskuil via bitcoin-dev <[email-masked]> wrote:
> > consensus requires the ledger to be honest does not prove that it is honest.
> 
> Actually, that’s exactly what it does. A logical/mathematical requirement (necessity) is also called a proof.
> 
> e